SeExpr

Signals | Public Member Functions | Public Attributes | Private Slots | Private Attributes | List of all members
ExprGrapherWidget Class Reference

`#include <ExprGrapher2d.h>`

Inheritance diagram for ExprGrapherWidget:

## Signals
void | preview ()

## Public Member Functions
| ExprGrapherWidget (QWidget *parent, int width, int height)
void | update ()

## Public Attributes
ExprGrapherView * | view
BasicExpression | expr

## Private Slots
void | scaleValueEdited ()
void | scaleValueManipulated ()
void | forwardPreview ()

## Private Attributes
QLineEdit * | scale

## Detailed Description

Definition at line 69 of file ExprGrapher2d.h.

## Constructor & Destructor Documentation

## ◆ ExprGrapherWidget()

ExprGrapherWidget::ExprGrapherWidget | ( | QWidget * | parent,
|  | int | width,
|  | int | height
| ) |  |

Definition at line 29 of file ExprGrapher2d.cpp.

References forwardPreview(), ExprGrapherView::getWindow(), scale, scaleValueEdited(), scaleValueManipulated(), view, and z.

## Member Function Documentation

## ◆ forwardPreview

void ExprGrapherWidget::forwardPreview | ( |  | ) |
| private slot

Definition at line 85 of file ExprGrapher2d.cpp.

References preview().

Referenced by ExprGrapherWidget().

## ◆ preview

void ExprGrapherWidget::preview | ( |  | ) |
| signal

Referenced by forwardPreview().

## ◆ scaleValueEdited

void ExprGrapherWidget::scaleValueEdited | ( |  | ) |
| private slot

Definition at line 57 of file ExprGrapher2d.cpp.

References ExprGrapherView::getWindow(), scale, ExprGrapherView::setWindow(), view, and z.

Referenced by ExprGrapherWidget().

## ◆ scaleValueManipulated

void ExprGrapherWidget::scaleValueManipulated | ( |  | ) |
| private slot

Definition at line 73 of file ExprGrapher2d.cpp.

References ExprGrapherView::getWindow(), scale, view, and z.

Referenced by ExprGrapherWidget().

## ◆ update()

void ExprGrapherWidget::update | ( |  | ) |

Definition at line 79 of file ExprGrapher2d.cpp.

References expr, SeExpr2::Expression::setDesiredReturnType(), ExprGrapherView::update(), and view.

Referenced by ExprDialog::applyExpression(), and ExprDialog::clearExpression().

## Member Data Documentation

## ◆ expr

BasicExpression ExprGrapherWidget::expr

Definition at line 75 of file ExprGrapher2d.h.

Referenced by ExprDialog::applyExpression(), ExprDialog::clearExpression(), ExprGrapherView::update(), update(), ExprDialog::verifiedAccept(), and ExprDialog::verifiedApply().

## ◆ scale

QLineEdit* ExprGrapherWidget::scale
| private

Definition at line 71 of file ExprGrapher2d.h.

Referenced by ExprGrapherWidget(), scaleValueEdited(), and scaleValueManipulated().

## ◆ view

ExprGrapherView* ExprGrapherWidget::view

Definition at line 74 of file ExprGrapher2d.h.

Referenced by ExprGrapherWidget(), scaleValueEdited(), scaleValueManipulated(), and update().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprGrapher2d.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprGrapher2d.cpp